Name:           anjal
Version:        0.1.0
Release:        1%{?dist}
Summary:        An email client for small screen devices

Group:          Applications/Productivity
License:        LGPLv2 or LGPLv3
URL:            http://live.gnome.org/Anjal/
Source0:        ftp://ftp.gnome.org/pub/gnome/sources/%{name}/0.1/%{name}-0.1.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: anerley-devel
BuildRequires: clutter-devel
BuildRequires: clutter-gtk-devel
BuildRequires: evolution-devel
BuildRequires: evolution-data-server-devel
BuildRequires: GConf2-devel
BuildRequires: gtk2-devel
BuildRequires: nbtk-devel
BuildRequires: webkitgtk-devel
BuildRequires: unique-devel
BuildRequires: sqlite-devel
BuildRequires: desktop-file-utils
BuildRequires: intltool
BuildRequires: libtool

Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

%description
Anjal is a mail client for small screen devices like NetBooks. It 
features a nice multi-line message list, with text-preview of the 
latest messages in the thread. It supports a tab interface for 
folders, new mail and config. Being based on evolution it supports 
all the mail backends including POP3, IMAP4, Exchange and GroupWare.

%prep
%setup -q -n %{name}-0.1

%build
%configure --with-mozilla=no --with-anerley
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=%{buildroot} INSTALL='install -p'

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%pre
if [ "$1" -gt 1 ] ; then
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
%{_sysconfdir}/gconf/schemas/anjal.schemas >/dev/null || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
%{_sysconfdir}/gconf/schemas/anjal.schemas > /dev/null || :

%preun
if [ "$1" -eq 0 ] ; then
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
%{_sysconfdir}/gconf/schemas/anjal.schemas > /dev/null || :
fi

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING.LGPL2 COPYING.LGPL3 TODO README
%{_sysconfdir}/gconf/schemas/anjal.schemas
%{_bindir}/anjal
%{_datadir}/anjal
%{_datadir}/applications/anjal.desktop
%{_datadir}/gnome-control-center/default-apps/anjal.xml

%changelog
* Wed Oct 21 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.0-1
- Fix versioning

* Mon Oct 19 2009 Peter Robinson <pbrobinson@gmail.com> 0.1-1
- Official upstream 0.1 release

* Mon Oct 12 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.0-0.13
- New git snapshot, lots of updated translations, nearing first release

* Mon Sep 28 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.0-0.12
- Re-enable anerley now we have a MC-5 port :)

* Mon Sep 28 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.0-0.11
- New git snapshot

* Wed Sep 23 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.0-0.10
- New git snapshot to pull in lots of new translations

* Sun Sep 13 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.0-0.9
- New git snapshot

* Thu Sep  3 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.0-0.8
- New git snapshot, temporarily disable anerley

* Fri Aug 21 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.0-0.7
- Add gconf schema and associated spec scriptlets

* Fri Aug 21 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.0-0.6
- Drop upstreamed patch

* Fri Aug 21 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.0-0.5
- Update to latest git head. Improvements to standard desktop skin.

* Wed Aug 19 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.0-0.4
- Update to latest git head.

* Tue Aug 11 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.0-0.3
- Update to latest upstream git head for final fixes for build

* Wed Jul  8 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.0-0.2
- Spec file updates

* Wed Jun 24 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.0-0.1
- Initial build
